*DK RATES                                                                          RATES.1          
      SUBROUTINE RATES(FT)
      SAVE
C     ****                                                                         RATES.4          
C     ****     CALCULATES K12, K13, K14, K15 AT ALL LEVELS                         RATES.5          
C     ****                                                                         RATES.6          
C     ****     COMMON DECKS:                                                       RATES.7          
C     ****       PARAMS, CONS, CRATES                                              RATES.8          
C     ****                                                                         RATES.9          
      include 'params.h'
      include 'cons2.h'
      include 'crates2.h'
      include 'oxoxox2.h'
      DIMENSION FT(KMXP,1)
C     ****                                                                         RATES.15         
C     ****     PERIODIC POINTS FOR OOXR                                            RATES.16         
C     ****                                                                         RATES.17         
      DO 2 I = 1,2
	DO 2 K = 1,KMAXP1
	  OOXR(K,I) = OOXR(K,I+IMX)
	  OOXR(K,I+IMX+2) = OOXR(K,I+2)
    2 CONTINUE
      DO 1 K=1,KMAXP1
	DO 1 I=1,LEN1
C       RK13(K,I)=2.15E-34*EXP(345./FT(K,I))                                       RATES.25         
C       RK14(K,I)=2.15E-34*EXP(345./FT(K,I))                                       RATES.26         
C       RK15(K,I)=8.82E-35*EXP(575./FT(K,I))                                       RATES.27         
C NEW   JPL-85 RATES                                                               RATES.28         
	RK12(K,I)=OOXR(K,I)*OOXR(K,I)*9.59E-34*EXP(480./FT(K,I))
C       RK12(K,I)=0.                                                               RATES.30         
C       RK13(K,I)=OOXR(K,I)*6.0E-34*(300./FT(K,I))**2.8                            RATES.31         
C       RK14(K,I)=OOXR(K,I)*6.0E-34*(300./FT(K,I))**2.8                            RATES.32         
C       RK15(K,I)=OOXR(K,I)*6.0E-34*(300./FT(K,I))**2.8                            RATES.33         
	RK13(K,I)=0.
	RK14(K,I)=0.
	RK15(K,I)=0.
    1 CONTINUE
      RETURN
      END
